Summary:	CONE mail reader
Name:		cone
Version:	0.77
Release:	%mkrel 2
License:	GPL
Group:		Networking/Mail
URL:		http://www.courier-mta.org/cone
Source0:	http://prdownloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2.sig
BuildRequires:	aspell-devel
BuildRequires:	autoconf2.5
BuildRequires:	fam-devel
BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel
BuildRequires:	libncursesw-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CONE is a simple, text-based E-mail reader and writer.

%package	devel
Group:		Development/C++
Summary:	LibMAIL mail client development library
Requires:	%{name}

%description	devel
The %{name}-devel package the header files and library files for
developing application using LibMAIL - a high level, C++ OO
library for mail clients.

%prep

%setup -q

%build

%configure2_5x \
    --enable-shared \
    --enable-static \
    --enable-fast-install \
    --with-devel

# these messes everything up real bad...
#    --datadir=%{_datadir}/cone \
#    --with-filterdir=%{_datadir}/cone/filters \
#    --with-certdb=%{_datadir}/cone/rootcerts \
#    --libexec=%{_bindir} \
#    --enable-mimetypes=%{_sysconfdir}/mime.types \

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%{__install} sysconftool %{buildroot}%{_datadir}/cone/cone.sysconftool
touch %{buildroot}%{_sysconfdir}/cone

# do not install the docs twice...
pushd %{buildroot}%{_datadir}/cone
    for i in *.html; do
	ln -snf ../doc/%{name}/html/$i $i
    done
popd

# install missing files
install -m755 libmail/mailtool %{buildroot}%{_bindir}/mailtool
install -m644 help.txt %{buildroot}%{_datadir}/cone/

%preun
if [ "$1" = 0 ]; then
    mv %{_sysconfdir}/cone %{_sysconfdir}/cone.rpmsave
fi

%pre
if [ "$1" = 1 -a -f %{_sysconfdir}/cone.rpmsave -a ! -f %{_sysconfdir}/cone ]; then
    mv %{_sysconfdir}/cone.rpmsave %{_sysconfdir}/cone
fi

%post
%{__perl} %{_datadir}/cone/cone.sysconftool %{_sysconfdir}/cone.dist > /dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog README NEWS AUTHORS COPYING* cone/html
%attr(644,root,root) %{_sysconfdir}/cone.dist
%ghost %attr(0644,root,root) %{_sysconfdir}/cone
%attr(0755,root,root) %{_bindir}/cone
%attr(0755,root,root) %{_bindir}/leaf
%attr(0755,root,root) %{_bindir}/mailtool
%attr(0755,root,root) %{_libdir}/cone
%{_datadir}/cone
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man[35]/*
%{_includedir}/libmail


%changelog
* Sun Jan 25 2009 Oden Eriksson <oeriksson@mandriva.org> 0.77-2mdv2009.1
+ Revision: 333461
- make it work as expected...
- fix docs

* Mon Oct 13 2008 Nicolas Vigier <nvigier@mandriva.com> 0.77-1mdv2009.1
+ Revision: 293389
- new version 0.77

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.org> 0.75-1mdv2009.0
+ Revision: 237539
- 0.75
- drop the gcc43 patch, it's in there

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.org> 0.74-2mdv2009.0
+ Revision: 209672
- added a gcc43 patch from fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.org> 0.74-1mdv2008.1
+ Revision: 112013
- 0.74

* Mon Nov 12 2007 Oden Eriksson <oeriksson@mandriva.org> 0.73-1mdv2008.1
+ Revision: 108271
- 0.73

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.org> 0.71-1mdv2008.0
+ Revision: 54603
- fix deps
- 0.71

* Tue Jun 19 2007 Nicolas Vigier <nvigier@mandriva.com> 0.70-1mdv2008.0
+ Revision: 41387
- update to version 0.70
- buildrequire on libncursesw-devel for utf-8 support


* Tue Nov 21 2006 Lenny Cartier <lenny@mandriva.com> 0.69-1mdv2007.0
+ Revision: 85745
- Update to 0.69
- Import cone

